Bug 50690 - tcsh globing failure on irix nfs mounts with K2.4
tcsh globing failure on irix nfs mounts with K2.4
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 04:30 EDT by Need Real Name
Modified: 2016-11-24 10:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 17:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-02 04:30:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.7 i686; en-US; rv:0.9.1)
Gecko/20010610

Description of problem:
on kernel 2.4 (not kernels 2.2.x) a when ls * on an nfs mount from an IRIX
export globing some times fails. 
egbend@joker - ~/python/network >ls -la
total 20
drwxrwxr-x    2 bend     animatio      123 Jul 26 14:41 ./
drwxrwxr-x    4 bend     animatio       85 Jul  9 13:11 ../
-rwxrw-r--    1 bend     animatio     2035 Jun  1 12:16 build.py*
-rwxrw-r--    1 bend     animatio     1682 Jun  1 16:14 builddhcp.py*
-rw-rw-r--    1 bend     animatio      206 Jun  1 16:14 datebase.py
-rw-rw-r--    1 bend     animatio     1416 Jul  6 16:13 failsafe_dhcpd.py
-rw-rw-r--    1 bend     animatio     1413 Jul  6 16:13 failsafe_dhcpd.py.bck
bend@joker - ~/python/network >ls -la *
-rwxrw-r--    1 bend     animatio     2035 Jun  1 12:16 build.py*
-rw-rw-r--    1 bend     animatio      206 Jun  1 16:14 datebase.py
-rw-rw-r--    1 bend     animatio     1416 Jul  6 16:13 failsafe_dhcpd.py
-rw-rw-r--    1 bend     animatio     1413 Jul  6 16:13 failsafe_dhcpd.py.bck




How reproducible:
Always

Steps to Reproduce:

This is not reproducable on all of the of the mounts but when it does occur
on a mount it always does

for more info or reqests for data contact
bend@al.com.au

Additional info:

this is not only on redhat i have sucessfully demonstrated the bug on
slackware 8.0

redhat base libc is libc 2.2.2
slcakware is             2.2.3
Comment 1 Arjan van de Ven 2001-08-02 05:33:03 EDT
THe 2.4.3-12 kernel we released has a patch that works around IRIX NFS issues.
Could you please try that one ?
Comment 2 Thomas Eriksson 2001-10-24 14:37:08 EDT
This bug has returned with the 2.4.9-6 kernel.
It does not only affect tcsh, but virtually every program that
tries to display a file selection list, independant of
your shell. However, bash itself seems to have no problems.
Comment 3 Frank Bures 2001-10-25 11:06:37 EDT
I can confirm the bug with 2.4.9-6 kernel and IRIX64 6.5 IP27. Downgrade to kernel 2.4.3-12 solves the problem.

Is it possible, that this bug is related to bug # 54941 ?
Comment 4 Thomas Eriksson 2001-10-26 20:28:08 EDT
After doing some searching of the kernel list archive I found a way to work
around this problem.

The Redhat kernel has the patch mentioned above that fixes the seekdir problem.

There is a bug in glibc2.2 that prevents it from understanding 64bit directory
entries. Kernels up to 2.4.8 did some truncation to 32bit to work around this.
Kernel 2.4.9 and newer does not. (I also tried 2.4.12-0.1 from rawhide)

Setting the option '32bitclients' on the IRIX NFS server will do the same 32bit
truncation that previous kernels did. This is at least the case up to
IRIX-6.5.12. I have not tried the latest 6.5.13 release.

Comment 5 Ulrich Drepper 2003-10-03 17:22:21 EDT
Closing this.  It is no bug in glibc.  The Irix kernel does stupid things and
users not disabling them (see above mentioned option) have to pay the price. 
Complain to SGI.

Note You need to log in before you can comment on or make changes to this bug.